‘Zen Cart – エラー’ カテゴリーのアーカイブ

CORESERVERにZen Cartをインストールする【編集方法】

2009 年 2 月 28 日 土曜日

PHPセーフモード等のエラーが警告される場合の対処方法
・CORESERVERにZen Cartをインストールする場合は以下のファイルを編集

.htaccess
AddHandler application/x-httpd-php5cgi .php
php_flag session.use_trans_sid off
php_flag register_globals off

deny from all

※zen cartの古いversionではphp4cgiにする必要がある

php.ini
register_globals = off
display_errors = off
safe_mode = off
ini_set(‘session.use_trans_sid’, false);

.htaccessはインストールフォルダ直下、php.iniはインストールフォルダ直下、/admin/直下、/zc_install/直下に配置

このエントリーを含むはてなブックマーク

ZenCartインストール後にパーミッションを変更しても警告文が消えない【configure.php:セキュリティ上危険なので、このファイルに正しいユーザー権限を設定して下さい。】

2009 年 2 月 28 日 土曜日

ZenCartでインストール後に表示されるヘッダーの警告文でzencart *****/configure.php. セキュリティ上危険なので、このファイルに正しいユーザー権限を設定して下さい。がパーミッションを変更しても消えない。

※パーミッションは事前に変更した上で以下のphpファイルを編集
includes/init_includes/init_header.phpの24行目

define(‘WARN_CONFIG_WRITEABLE’, ‘true’);

define(‘WARN_CONFIG_WRITEABLE’, ‘fales’);

このエントリーを含むはてなブックマーク